## ros-humble-as2-realsense-interface 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(PROJECT_NAME as2_realsense_interface)
project(${PROJECT_NAME} VERSION 1.0.0)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

set(PROJECT_DEPENDENCIES
  ament_cmake
  rclcpp
  as2_core
  as2_msgs
  std_msgs
  std_srvs
  sensor_msgs
  nav_msgs
  geometry_msgs
  realsense2
  tf2
  tf2_ros
  )

foreach(dependency ${PROJECT_DEPENDENCIES})
  find_package(${dependency} REQUIRED)
endforeach()

include_directories(
  include
  include/${PROJECT_NAME}
  ${realsense2_INCLUDE_DIR}
)

set(SOURCE_CPP_FILES 
  src/as2_realsense_interface.cpp
)

add_executable(${PROJECT_NAME}_node src/as2_realsense_interface_node.cpp ${SOURCE_CPP_FILES})
target_link_libraries(${PROJECT_NAME}_node ${realsense2_LIBRARY})
ament_target_dependencies(${PROJECT_NAME}_node ${PROJECT_DEPENDENCIES})

if(BUILD_TESTING)
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_clang_format REQUIRED)
  
  ament_cppcheck(src/ include/ tests/)
  ament_clang_format(src/ include/ tests/ --config ${CMAKE_CURRENT_SOURCE_DIR}/.clang-format)

endif()

install(DIRECTORY
  launch
  config
  DESTINATION 
  share/${PROJECT_NAME})

install(TARGETS
  ${PROJECT_NAME}_node
  DESTINATION 
  lib/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-humble-as2-realsense-interface (1.0.4-1jammy) jammy; urgency=high

  * Merge pull request #318 <https://github.com/aerostack2/aerostack2/issues/318> from aerostack2/jenkins-build
    fixing jenkins build failures
  * fixing jenkins build failures
  * Contributors: pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-as2-realsense-interface (1.0.3-1jammy) jammy; urgency=high

  * Merge pull request #317 <https://github.com/aerostack2/aerostack2/issues/317> from aerostack2/316-tf2_geometry_msgs-dep
    Only use tf2_geometry_msgs library when needed
  * only use library when needed
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 22:00:00 -0000

ros-humble-as2-realsense-interface (1.0.2-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 22:00:00 -0000

ros-humble-as2-realsense-interface (1.0.1-1jammy) jammy; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 22:00:00 -0000

ros-humble-as2-realsense-interface (1.0.0-1jammy) jammy; urgency=high



 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 23:00:00 -0000

ros-humble-as2-realsense-interface (0.2.2-1jammy) jammy; urgency=high



 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Mon, 19 Dec 2022 23:00:00 -0000

ros-humble-as2-realsense-interface (0.2.1-1jammy) jammy; urgency=high

  * Merge pull request #40 <https://github.com/aerostack2/aerostack2/issues/40> from aerostack2/realsense_interface_dependecies
    Solve as2_realsense_interface dependecy problem
  * Solve as2_realsense_interface dependecy problem
  * Merge pull request #18 <https://github.com/aerostack2/aerostack2/issues/18> from aerostack2/fix_tests
    Fix tests
  * as2_realsense_interface reformatted
  * Merge pull request #15 <https://github.com/aerostack2/aerostack2/issues/15> from aerostack2/pkg_dependencies
    Pkg dependencies
  * Update pkg dependencies
  * Merge pull request #10 <https://github.com/aerostack2/aerostack2/issues/10> from aerostack2/realsense_interface
    As2 Realsense Interface
  * Package name changed to as2_realsense_interface
  * Contributors: Miguel, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, perezsaura-david

 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Sun, 18 Dec 2022 23:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-realsense-interface//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-as2-realsense-interface 1.0.9

=== debian/changelog ===
ros-humble-as2-realsense-interface (1.0.9-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 24 Mar 2024 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.8-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.7-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sat, 03 Feb 2024 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.6-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.5-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.4-3bookworm) bookworm; urgency=high

  * Merge pull request #318 <https://github.com/aerostack2/aerostack2/issues/318> from aerostack2/jenkins-build
    fixing jenkins build failures
  * fixing jenkins build failures
  * Contributors: pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.3-3bookworm) bookworm; urgency=high

  * Merge pull request #317 <https://github.com/aerostack2/aerostack2/issues/317> from aerostack2/316-tf2_geometry_msgs-dep
    Only use tf2_geometry_msgs library when needed
  * only use library when needed
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.2-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.1-3bookworm) bookworm; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.0-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 16:00:00 -0000

ros-humble-as2-realsense-interface (0.2.2-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 19 Dec 2022 16:00:00 -0000

ros-humble-as2-realsense-interface (0.2.1-3bookworm) bookworm; urgency=high

  * Merge pull request #40 <https://github.com/aerostack2/aerostack2/issues/40> from aerostack2/realsense_interface_dependecies
    Solve as2_realsense_interface dependecy problem
  * Solve as2_realsense_interface dependecy problem
  * Merge pull request #18 <https://github.com/aerostack2/aerostack2/issues/18> from aerostack2/fix_tests
    Fix tests
  * as2_realsense_interface reformatted
  * Merge pull request #15 <https://github.com/aerostack2/aerostack2/issues/15> from aerostack2/pkg_dependencies
    Pkg dependencies
  * Update pkg dependencies
  * Merge pull request #10 <https://github.com/aerostack2/aerostack2/issues/10> from aerostack2/realsense_interface
    As2 Realsense Interface
  * Package name changed to as2_realsense_interface
  * Contributors: Miguel, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, perezsaura-david

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 18 Dec 2022 16:00:00 -0000

=== debian/control ===
Source: ros-humble-as2-realsense-interface
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-clang-format <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-librealsense2, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-as2-realsense-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-librealsense2, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: Intel Realsense cameras driver

## ros-humble-as2-realsense-interface 1.1.2

=== debian/changelog ===
ros-humble-as2-realsense-interface (1.1.2-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-as2-realsense-interface (1.1.1-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 19 Aug 2024 16:00:00 -0000

ros-humble-as2-realsense-interface (1.1.0-1bookworm) bookworm; urgency=high

  * [as2_realsense_interface] Fix timestamp
  * [as2_realsense_interface] Update real sense camera sensor constructor and methods
  * [as2_realsense_interface] node passes ament, pep257 and flake8 tests
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, Rafael Perez-Segui

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 07 Aug 2024 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.9-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 24 Mar 2024 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.8-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.7-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sat, 03 Feb 2024 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.6-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.5-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.4-1bookworm) bookworm; urgency=high

  * Merge pull request #318 <https://github.com/aerostack2/aerostack2/issues/318> from aerostack2/jenkins-build
    fixing jenkins build failures
  * fixing jenkins build failures
  * Contributors: pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.3-1bookworm) bookworm; urgency=high

  * Merge pull request #317 <https://github.com/aerostack2/aerostack2/issues/317> from aerostack2/316-tf2_geometry_msgs-dep
    Only use tf2_geometry_msgs library when needed
  * only use library when needed
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.2-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.1-1bookworm) bookworm; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-as2-realsense-interface (1.0.0-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 16:00:00 -0000

ros-humble-as2-realsense-interface (0.2.2-1bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 19 Dec 2022 16:00:00 -0000

ros-humble-as2-realsense-interface (0.2.1-1bookworm) bookworm; urgency=high

  * Merge pull request #40 <https://github.com/aerostack2/aerostack2/issues/40> from aerostack2/realsense_interface_dependecies
    Solve as2_realsense_interface dependecy problem
  * Solve as2_realsense_interface dependecy problem
  * Merge pull request #18 <https://github.com/aerostack2/aerostack2/issues/18> from aerostack2/fix_tests
    Fix tests
  * as2_realsense_interface reformatted
  * Merge pull request #15 <https://github.com/aerostack2/aerostack2/issues/15> from aerostack2/pkg_dependencies
    Pkg dependencies
  * Update pkg dependencies
  * Merge pull request #10 <https://github.com/aerostack2/aerostack2/issues/10> from aerostack2/realsense_interface
    As2 Realsense Interface
  * Package name changed to as2_realsense_interface
  * Contributors: Miguel, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, perezsaura-david

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 18 Dec 2022 16:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-clang-format <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-librealsense2, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-librealsense2, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-realsense-interface//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-realsense-interface//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-as2-realsense-interface//opt/ros/humble/opt/as2_realsense_interface/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
